Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.bridge
Class JavaBridgeSecurityManager

    java.lang.Object
      java.lang.SecurityManager
          php.java.bridge.JavaBridgeSecurityManager

    public class JavaBridgeSecurityManager

extends java.lang.SecurityManager

A custom security manager for the PHP/Java Bridge. Example:
`PHP_HOME=/usr/lib/php/modules java -Dphp.java.bridge.base=${PHP_HOME} -Djava.security.policy=${PHP_HOME}/javabridge.policy -jar ${PHP_HOME}/JavaBridge.jar`
Example options for eclipse:
`-Dphp.java.bridge.base=${workspace_loc}${project_path}/
-Djava.security.policy=${workspace_loc}${project_path}/javabridge.policy`

Author:
  jostb

Constructor Summary
`JavaBridgeSecurityManager()`

Method Summary
`void` | `checkAccess(java.lang.ThreadGroup g)`
`void` | `checkExit(int status)`
`java.lang.ThreadGroup` | `getThreadGroup()` All user threads belong to the "JavaBridgeThreadPoolAppGroup" and all internal threads to "JavaBridgeThreadPoolGroup".

Methods inherited from class java.lang.SecurityManager
`checkAccept, checkAccess, checkAwtEventQueueAccess, checkConnect, checkConnect, checkCreateClassLoader, checkDelete, checkExec, checkLink, checkListen, checkMemberAccess, checkMulticast, checkMulticast, checkPackageAccess, checkPackageDefinition, checkPermission, checkPermission, checkPrintJobAccess, checkPropertiesAccess, checkPropertyAccess, checkRead, checkRead, checkRead, checkSecurityAccess, checkSetFactory, checkSystemClipboardAccess, checkTopLevelWindow, checkWrite, checkWrite, getInCheck, getSecurityContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaBridgeSecurityManager

    public JavaBridgeSecurityManager()

Method Detail

### checkAccess

    public void checkAccess(java.lang.ThreadGroup g)

  Overrides:
    `checkAccess` in class `java.lang.SecurityManager`

### getThreadGroup

    public java.lang.ThreadGroup getThreadGroup()

  All user threads belong to the "JavaBridgeThreadPoolAppGroup" and all internal threads to "JavaBridgeThreadPoolGroup".

  Overrides:
    `getThreadGroup` in class `java.lang.SecurityManager`

### checkExit

    public void checkExit(int status)

  Overrides:
    `checkExit` in class `java.lang.SecurityManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD